org.apache.geode.cache.configuration

## Class RegionAttributesType.SubscriptionAttributes

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.SubscriptionAttributes

- Enclosing class:
    RegionAttributesType

      public static class RegionAttributesType.SubscriptionAttributes
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="interest-policy">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="all"/>
                   <enumeration value="cache-content"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `interestPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubscriptionAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getInterestPolicy()` Gets the value of the interestPolicy property.
    `void` | `setInterestPolicy(java.lang.String value)` Sets the value of the interestPolicy property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### interestPolicy

          protected java.lang.String interestPolicy

  - ### Constructor Detail

    - #### SubscriptionAttributes

          public SubscriptionAttributes()

  - ### Method Detail

    - #### getInterestPolicy

          public java.lang.String getInterestPolicy()

      Gets the value of the interestPolicy property.
      Returns:
        possible object is `String`

    - #### setInterestPolicy

          public void setInterestPolicy(java.lang.String value)

      Sets the value of the interestPolicy property.
      Parameters:
        `value` - allowed object is `String`